<?php
/*
    "C2EM Crear factures i rebuts" 

    Aquest fitxer es part de C2EM Crear factures i rebuts.

    Classe que genera un rebut en PDF amb partir de FPDF
	La classe necessita dels parametres que venen de factura_c2em.php
	
*/
require_once (ABSPATH . '/wp-content/plugins/factura_c2em/fpdf/fpdf.php');

class C2EM_FPDF extends FPDF{
	protected $nomcurt="FEEMCAT";
	protected $nom="Federació d'entitats per a l'Ensenyament \nde les Matemàtiques a Catalunya";
	protected $carrer="Campus Montilivi Edifici P-IV";
	protected $cp="17071 Girona";
	protected $NIF=	"G43422872";

	function cos_factura($POST){
		$this->AddPage();
		if(!(isset($POST) && isset($POST['cif']) && isset($POST['nom_empresa']) && isset($POST['direccio']) && isset($POST['pdf']))){
			$this->Write (7,"Error al rebre les dades.  ");
			return;
		}
		//$POST['pdf']=[data;preu;num_ordre;...;dni;nom cognoms]
		$dades = explode(";", $POST['pdf']);
		//Generenel el numero de rebut
		$rebut = new C2EM_factura_bbdd($dades[2]);

	//	$this->SetTextColor(89, 172, 229);
		$this->direccio_propia(10, 40);
		$this->dades_factura(130, 40, $dades[0], $rebut->get_num_rebut());

		$this->SetTextColor(0,0,0);
		$this->Line(10, 80, 200, 80);
		$this->direccio_factura(10, 82, $POST);

		$this->quantitat(10, 125, $dades[1]);
		
		$this->concepte(10, 135, $dades[count($dades)-2],$dades[count($dades)-1]);
		$this->firma(30,180);
		
	} 

	function direccio_propia($x, $y){

		$this->Rect($x, $y, 65 , 33);
		
		$this->SetXY($x+2,$y+2);
		$this->SetFont('Helvetica', 'B', 12);
		$this->Cell(15, 6, $this->nomcurt, 0 , 1);
		
		$this->SetFont('Helvetica', 'I', 9);
		$this->SetXY($x+2,$y+8);
		$this->Multicell(100,3,$this->nom ,0,'L');
		
		$this->SetFont('Helvetica', '', 10);
		$this->SetXY($x+2,$y+15);	
		$this->Cell(15, 5, $this->carrer, 0 , 1); 
		
		$this->SetXY($x+2,$y+20);	
		$this->Cell(15, 5, $this->cp, 0 , 1); 

		$this->SetXY($x+2,$y+25);
		$this->SetFont('Helvetica', 'B', 10);	
		$this->Cell(15,5, "NIF: ", 0 , 1); 
		$this->SetFont('Helvetica', '', 10);
		$this->SetXY($x+15,$y+25);	
		$this->Write (5,$this->NIF);
		

	}
	function direccio_propia2($x, $y){
		
		$this->SetFont('Helvetica', 'B', 12);
		$this->SetXY($x,$y);
		$this->Write (5,"DIRECCIÓ:");
		$this->Ln();
		$this->SetFont('Helvetica', '', 12);
		$this->SetX($x);
		$this->Write (5,$this->nom);
		$this->Ln(); //salto de linea
		$this->SetX($x);
		$this->Write (5,$this->cp);
		$this->Ln(); //salto de linea
		$this->SetX($x);
		$this->Write (5,$this->carrer);
		$this->Ln(); //salto de linea
		$this->SetX($x);
		$this->Write (5,$this->tel);
		$this->Ln(); //salto de linea		

	}

	function dades_factura($x, $y, $data, $num_ordre){

		
		$this->Rect($x, $y, 70 , 18);
		
		$this->SetXY($x+2,$y+2);
		$this->SetFont('Helvetica', 'B', 10);
		$this->Cell(15, 6, "Rebut núm: ", 0 , 1);
		$this->SetXY($x+30,$y+2);
		$this->SetFont('Helvetica', '', 10);
		$this->Cell(15, 6, $num_ordre, 0 , 1);
		
		$this->SetXY($x+2,$y+6);
		$this->SetFont('Helvetica', 'B', 10);
		$this->Cell(15, 6, "Referència: C2EM", 0 , 1);

		$this->SetXY($x+2,$y+11);
		$this->SetFont('Helvetica', 'B', 10);
		$this->Cell(15, 6, "Data: ", 0 , 1);
		$this->SetXY($x+20,$y+11);
		$this->SetFont('Helvetica', '', 10);
		$this->Cell(15, 6, $data, 0 , 1);

	}

	function direccio_factura($x, $y, $POST){
		
		$this->SetXY($x,$y);
		$this->SetFont('Helvetica', '', 12);
		$this->Cell(15, 5, "Hem rebut de  ", 0 , 1);

		$this->Rect($x, $y+10, 140 , 25);
		$this->SetFont('Helvetica', '', 10);
		$this->SetXY($x+2,$y+15);
		
		$this->Write (5,iconv('UTF-8', 'windows-1252', $POST['nom_empresa']));
		$this->Ln(); //salto de linea
		$this->SetX($x+2);
		$this->Write (5,iconv('UTF-8', 'windows-1252', $POST['direccio']));
		$this->Ln(); //salto de linea
		$this->SetX($x+2);
		$this->Write (5,"CIF: ");
		$this->Write (5,$POST['cif']);
		$this->Ln(); //salto de linea

	}
	function quantitat($x, $y, $preu){
		$this->SetXY($x,$y);
		$this->SetFont('Helvetica', '', 12);
		$this->Write (5,"La quantitat de ");
		$this->SetFont('Helvetica', 'B', 12);
		//Treure el simbol d'euro, que no s'imprimeix corretament
		$Import = str_split($preu);
		//Treiem l'ultim element de l'array
		array_pop($Import);
		array_pop($Import);
		array_pop($Import);
		//Convertim l'array a string
		$str=implode($Import);
		$quantitat="";
		//escribim la quantitat
		switch ($str) {
			case "30":
				$quantitat="trenta euros (".$str.chr(128).")";
				break;
			case "75":
				$quantitat="setanta-cinc euros (".$str.chr(128).")";
				break;
			case "100":
				$quantitat="cent euros (".$str.chr(128).")";
				break;
			case "95":
				$quantitat="noranta-cinc euros (".$str.chr(128).")";
				break;
			case "120":
				$quantitat="cent vint euros (".$str.chr(128).")";
				break;
		}

		$this->Write (5,$quantitat);
		$this->SetFont('Helvetica', '', 12);
		$this->Write (5,"  en concepte de");
	}

	function concepte($x, $y, $dni, $nom){
		
	/*	$this->SetXY($x+5,$y);
		$this->SetFont('Helvetica', '', 12);
		$this->Cell(140, 7, "Inscripció al Congrés Català d'Educació Matemàtica (C2EM) de ".$nom. " amb dni ". $dni, 1 , 1);
		$this->SetXY($x+5,$y);
	//	$this->SetXY($x,$y+12);*/
		//$this->Cell(15,5,"Aquesta formació està exempta en virtut de l'Art 20, punt 9 de la Llei IVA 37/1992", 0 , 1);
		$this->Rect($x+5, $y, 170 , 12);
		$this->SetFont('Helvetica', '', 12);
		$this->SetXY($x+7,$y+1);
		$this->Write (5,"Inscripció al Congrés Català d'Educació Matemàtica (C2EM) de:" );
		$this->Ln(); //salto de linea
		$this->SetX($x+20);
		$this->Write (5, $nom. " amb dni ". $dni);
	
	}

	function firma($x, $y){

		$this->Image(plugin_dir_url( __FILE__ ).'imatges/firma.png',$x,$y,50, home_url());
		$this->SetXY($x,$y+25);
		$this->Cell(15,5,"Raül Fernández i Hernández", 0 , 1);
		$this->SetXY($x,$y+31);
		$this->Cell(15,5,"Tresorer de FEEMCAT", 0 , 1);
		$this->SetXY($x,$y+37);
		setlocale(LC_TIME, 'ca_ES');
		$data=date('d/m/Y',time());
		$this->Cell(15,5,"A Girona, ".strftime("%A, %e de %B de %Y",time()), 0 , 1); //date('D M j /Y ',time()), 0 , 1);
		$this->Image(plugin_dir_url( __FILE__ ).'imatges/segell.png',$x+70,$y,50, "http://feemcat.org/");


	}
	// Capsalera pagina, es crida automaticament
	function Header(){
		// Logo
		/*if (of_get_option('logo')){
			$this->Image(of_get_option('logo'),15,8,50);
         }
		else{	
			$alt=bloginfo('name'); 
		}*/
		$this->Image(plugin_dir_url( __FILE__ ).'imatges/c2em.jpg',15,8,50, home_url());
		$this->Image(plugin_dir_url( __FILE__ ).'imatges/feemcat.png',130,8,50, "http://feemcat.org/");
		// Arial bold 15
		$this->SetFont('Arial','B',15);
		// Movernos a la derecha
		$this->Cell(80);
		// Título
		$this->Cell(30,10,"Rebut",0,0,'C');
		
		
		$this->Line(40, 30, 175, 30);
		// Salto de línea
		$this->Ln(20);
	}
	
	

	// Peu de pagina, es crida automaticament
	function Footer(){
		// Posición: a 1,5 cm del final
		$this->SetY(-15);
		// Arial italic 8
		$this->SetFont('Arial','I',8);
		// Número de página
		$this->SetY(-15);
		$this->Cell(0,10,"Aquesta formació està exempta en virtut de l'Art 20, punt 9 de la Llei IVA 37/1992",0,0,'C');
		$this->SetY(-10);
		$this->Cell(0,10,$this->nom." ",0,0,'C');
	}

}
?>

